This resource stores information about a device that a patient uses or has used, as reported by the patient, a care provider, or a related person. Device use statements may indicate an implanted device (e.g., a pacemaker or cochlear implant) or an external device the patient uses at home (e.g., a hearing aid or CPAP machine).
_search
Query for a patient’s current or historical device use, as documented by one organization.
cURL request example
Request Body Schema
- deviceArray of string
Returns statements about this device
- identifierArray of string
Returns statements with this external identifier
- patientArray of string
The identity of a patient to list device use statements for.
- patient.identifierArray of string
One or more external identifiers for the patient
- subjectArray of string
The identity of a subject to list device use statements for.
- subject.identifierArray of string
One or more external identifiers for the patient
- resourceTyperequired, string
Identifies the type of the resource
Value:Bundle - typerequired, string
Identifies this bundle as a response to a search
Value:searchset - totalrequired, number
The total number of matches
- entryArray of DeviceUseStatement or Other
A resource matching the search criteria or related to a matching resource
- resourcerequired, object
A record of a device being used by a patient.
- resourceTyperequired, string
Identifies the type of the resource
Value:DeviceUseStatement - statusrequired, string
A code representing the patient or other source's judgment about the state of the device used that this statement is about. Generally this will be active or completed.
Possible Values:active,completed,entered-in-error + - subjectrequired, object
The patient who used the device.
Must be a resource of type
Patient.- referencestring
A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with
#and refers to a contained resource.
- devicerequired, object
The details of the device used.
Must be a resource of type
Device.- referencestring
A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with
#and refers to a contained resource.
- idstring
The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.
- identifierArray of object
An external identifier for this statement such as an IRI.
- extensionArray of Boolean, String, CodeableConcept, Coding
May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.
- urlrequired, string
Source of the definition for the extension code - a logical name or a URL.
- valueBooleanboolean
A single value for the extension.
- usestring
The purpose of this identifier.
Possible Values:usual,official,temp,secondary,old (If known) - systemstring
Establishes the namespace for the value - that is, a URL that describes a set values that are unique.
- valuestring
The portion of the identifier typically relevant to the user and which is unique within the context of the system.
- basedOnArray of object
A plan, proposal or order that is fulfilled in whole or in part by this DeviceUseStatement.
Must be a resource of type
ServiceRequest.- referencestring
A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with
#and refers to a contained resource.
- recordedOnstring
The time at which the statement was made/recorded.
- sourceobject
Who reported the device was being used by the patient.
Must reference one of the following types of resources:
PatientPractitionerPractitionerRoleRelatedPerson
- referencestring
A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with
#and refers to a contained resource.
- reasonCodeArray of object
Reason or justification for the use of the device.
- codingArray of object
A reference to a code defined by a terminology system.
- systemstring
The identification of the code system that defines the meaning of the symbol in the code.
- codestring
A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).
- textstring
A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.
- bodySiteobject
Indicates the anotomic location on the subject's body where the device was used ( i.e. the target).
- codingArray of object
A reference to a code defined by a terminology system.
- systemstring
The identification of the code system that defines the meaning of the symbol in the code.
- codestring
A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).
- textstring
A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.
- noteArray of object
Details about the device statement that were not represented at all or sufficiently in one of the attributes provided in a class. These may include for example a comment, an instruction, or a note associated with the statement.
- textrequired, string
The text of the annotation in markdown format.
- timingPeriodobject
How often the device was used.
Only one of
timingPeriod,timingDateTimemay be present.- startstring
The start of the period. The boundary is inclusive.
- endstring
The end of the period. If the end of the period is missing, it means no end was known or planned at the time the instance was created. The start may be in the past, and the end date in the future, which means that period is expected/planned to end at that time.
- timingDateTimestring
How often the device was used.
Only one of
timingPeriod,timingDateTimemay be present.
- searchrequired, object
Information about the search process that lead to the creation of this entry.
- moderequired, string
Identifies the DeviceUseStatement as matching the search parameters
Value:match
Response to a DeviceUseStatement search operation